Skip to main content
GET
/
ai-overviews
/
sources
List AI overview sources
curl --request GET \
  --url https://api.beeze.io/v1/ai-overviews/sources \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "rank": 123,
      "source": "<string>",
      "type": "<string>",
      "usedPercent": 123,
      "avgCitations": 123,
      "usedTotal": 123,
      "usageCount": 123,
      "pageTitle": "<string>",
      "pageDescription": "<string>",
      "updatedAt": "<string>",
      "mentionedBrands": [
        {
          "name": "<string>",
          "domain": "<string>"
        }
      ]
    }
  ],
  "pagination": {
    "count": 123,
    "limit": 123,
    "hasMore": true
  }
}

Authorizations

x-api-key
string
header
required

API key for external Beeze API access

Query Parameters

project
string
required

Project identifier. Accepts project ID, slug, or name within the active workspace. If the project name is ambiguous in that workspace, use the project slug or project ID. Public project-scoped routes also require globally unique project names across workspaces.

Minimum string length: 1
type
enum<string>
default:domain
Available options:
domain,
url
limit
integer
Required range: 1 <= x <= 100
cursor
string
sortBy
enum<string>
default:rank
Available options:
rank,
source,
type,
usedPercent,
avgCitations,
usedTotal,
updatedAt
sortDirection
enum<string>
default:asc
Available options:
asc,
desc
from
string<date>

Start date in YYYY-MM-DD format

to
string<date>

End date in YYYY-MM-DD format

provider
string
locale
string
domain
string
promptId
string<uuid>

Response

Source list

data
object[]
required
pagination
object
required